<?xml version="1.0" encoding="utf-16"?>
<SetupUI xmlns="http://schemas.microsoft.com/SetupUI/2008/01/imui" xmlns:imui="http://schemas.microsoft.com/SetupUI/2008/01/imui" >
  <UI>

    <ResourceDll>SetupResources.dll</ResourceDll>
    <SplashScreen>
      <Hide/>
    </SplashScreen>

    <LCIDHints>
      <LCIDHint>
        <RegKey>HKCU\Software\Microsoft\VisualStudio\9.0\General</RegKey>
        <RegValueName>UILanguage_fake</RegValueName>
      </LCIDHint>
      <LCIDHint>
        <RegKey>HKCU\Software\Microsoft\VisualStudio\9.0\General</RegKey>
        <RegValueName>UILanguage_hint2</RegValueName>
      </LCIDHint>
    </LCIDHints>

    <Windows>
      <WizardImages>
        <HeaderImage>header.bmp</HeaderImage>
        <Watermark>watermark.bmp</Watermark>
      </WizardImages>

      <Caption>
        <Install>#(loc.install_caption)</Install>
        <Repair>#(loc.maintenance_caption)</Repair>
        <Uninstall>#(loc.maintenance_caption)</Uninstall>
        <CreateLayout>#(loc.create_layout_caption)</CreateLayout>
        <UninstallPatch>#(loc.uninstallpatch_caption)</UninstallPatch>
      </Caption>

      <WelcomePage>
        <Hide/>
      </WelcomePage>
      
      <EulaPage>
        <Title>#(loc.eula_page_title)</Title>
        <SubTitle>#(loc.eula_page_subtitle)</SubTitle>
        <File Type="RTF">EULA.rtf</File>
        <LicenseTermsCheckbox>
          <Text>#(loc.license_terms)</Text>
        </LicenseTermsCheckbox>
        <UserExperienceDataCollection>
          <SQMPermissionCheckbox>
            <Text>#(loc.sqm_permission_text)</Text>
          </SQMPermissionCheckbox>
          <SysLink>
            <Text>#(loc.data_collection_policy_link)</Text>
            <!-- 21,168,275,16 -->
            <X>21</X>
            <Y>168</Y>
            <Width>275</Width>
            <Height>16</Height>
          </SysLink>
        </UserExperienceDataCollection>
        <BackButton>
          <Hide/>
        </BackButton>
        <NextButton>
          <Text>#(loc.eula_page_next_button)</Text>
        </NextButton>
      </EulaPage>

      <SystemRequirementsPage>
        <Title>#(loc.sysreqpage_title)</Title>
        <SubTitle>#(loc.sysreqpage_subtitle)</SubTitle>
        <Static>
          <Text>#(loc.sysreqpage_disk_space_header)</Text>
          <X>21</X>
          <Y>28</Y>
          <Width>246</Width>
          <Height>8</Height>
        </Static>
        <DiskSpaceInfo>
          <Text>#(loc.sysreqpage_required_and_available_disk_space)</Text>
          <Placement>
            <Drive1>
              <X>21</X>
              <Y>40</Y>
              <Width>272</Width>
              <Height>10</Height>
            </Drive1>
            <Drive2>
              <X>21</X>
              <Y>51</Y>
              <Width>272</Width>
              <Height>10</Height>
            </Drive2>
            <Drive3>
              <X>21</X>
              <Y>62</Y>
              <Width>272</Width>
              <Height>10</Height>
            </Drive3>
          </Placement>
        </DiskSpaceInfo>
        <ProcessStatusIcon>
          <X>21</X>
          <Y>82</Y>
          <Width>10</Width>
          <Height>10</Height>
        </ProcessStatusIcon>
        <ServiceStatusIcon>
          <X>169</X>
          <Y>82</Y>
          <Width>10</Width>
          <Height>10</Height>
        </ServiceStatusIcon>
        <RefreshButton>
          <Text>#(loc.sysreqpage_refreshbtn)</Text>
          <X>216</X>
          <Y>160</Y>
          <Width>80</Width>
          <Height>14</Height>
        </RefreshButton>
        <BackButton>
          <Hide/>
        </BackButton>
        <Static>
          <Text>#(loc.sysreqpage_resolve_conflicts)</Text>
          <X>21</X>
          <Y>1</Y>
          <Width>275</Width>
          <Height>24</Height>
        </Static>
        <Static>
          <Text>#(loc.sysreqpage_close_programs)</Text>
          <X>35</X>
          <Y>82</Y>
          <Width>104</Width>
          <Height>16</Height>
        </Static>
        <Static>
          <Text>#(loc.sysreqpage_stop_services)</Text>
          <X>182</X>
          <Y>82</Y>
          <Width>124</Width>
          <Height>16</Height>
        </Static>
      </SystemRequirementsPage>

      <ProgressPage>
        <Install>
          <Title>#(loc.install_progress_title)</Title>
          <SubTitle>#(loc.install_progress_subtitle)</SubTitle>
        </Install>
        <Repair>
          <Title>#(loc.repair_progress_title)</Title>
          <SubTitle>#(loc.repair_progress_subtitle)</SubTitle>
        </Repair>
        <Uninstall>
          <Title>#(loc.uninstall_progress_title)</Title>
          <SubTitle>#(loc.uninstall_progress_subtitle)</SubTitle>
        </Uninstall>
        <CreateLayout>
          <Title>#(loc.create_layout_progress_title)</Title>
          <SubTitle>#(loc.create_layout_progress_subtitle)</SubTitle>
        </CreateLayout>
        <UninstallPatch>
          <Title>#(loc.uninstallpatch_progress_title)</Title>
          <SubTitle>#(loc.uninstallpatch_progress_subtitle)</SubTitle>
        </UninstallPatch>
        <BackButton>
          <Hide/>
        </BackButton>
        <NextButton>
          <Hide/>
        </NextButton>
      </ProgressPage>

      <FinishPage>
        <Success>
          <Install>
            <Static>
              <Text>#(loc.install_succeeded_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.install_succeeded)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </Install>
          <Repair>
            <Static>
              <Text>#(loc.repair_succeeded_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.repair_succeeded)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </Repair>
          <Uninstall>
            <Static>
              <Text>#(loc.uninstall_succeeded_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.uninstall_succeeded)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </Uninstall>
          <CreateLayout>
            <Static>
              <Text>#(loc.create_layout_succeeded_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.create_layout_succeeded)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </CreateLayout>
          <UninstallPatch>
            <Static>
              <Text>#(loc.uninstallpatch_succeeded_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.uninstallpatch_succeeded)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </UninstallPatch>
          <SysLink>
            <Text>#(loc.windows_update)</Text>
            <X>115</X>
            <Y>128</Y>
            <Width>195</Width>
            <Height>16</Height>
          </SysLink>
        </Success>
        <Failure>
          <Install>
            <Static>
              <Text>#(loc.install_failed_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.install_failed)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </Install>
          <Repair>
            <Static>
              <Text>#(loc.repair_failed_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.repair_failed)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </Repair>
          <Uninstall>
            <Static>
              <Text>#(loc.uninstall_failed_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.uninstall_failed)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </Uninstall>
          <CreateLayout>
            <Static>
              <Text>#(loc.create_layout_failed_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.create_layout_failed)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </CreateLayout>
          <UninstallPatch>
            <Static>
              <Text>#(loc.uninstallpatch_failed_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.uninstallpatch_failed)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </UninstallPatch>
          <Static>
            <Text>#(loc.reason_for_failure)</Text>
            <X>115</X>
            <Y>69</Y>
            <Width>195</Width>
            <Height>32</Height>
          </Static>
          <SysLink>
            <Text>#(loc.open_log_file)</Text>
            <X>115</X>
            <Y>125</Y>
            <Width>195</Width>
            <Height>24</Height>
          </SysLink>
          <SysLink>
            <Text>#(loc.current_version)</Text>
            <X>115</X>
            <Y>149</Y>
            <Width>195</Width>
            <Height>32</Height>
          </SysLink>
          <SysLink>
            <Text>#(loc.error_reporting)</Text>
            <X>115</X>
            <Y>181</Y>
            <Width>195</Width>
            <Height>32</Height>
          </SysLink>
        </Failure>
        <NothingApplies>
          <Install>
            <Static>
              <Text>#(loc.nothing_applies_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.nothing_applies)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </Install>
          <Repair>
            <Static>
              <Text>#(loc.nothing_applies_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.nothing_applies)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </Repair>
          <Uninstall>
            <Static>
              <Text>#(loc.nothing_applies_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.nothing_applies)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </Uninstall>
          <CreateLayout>
            <Static>
              <Text>#(loc.nothing_applies_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.nothing_applies)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </CreateLayout>
          <UninstallPatch>
            <Static>
              <Text>#(loc.uninstallpatch_nothing_applies_title)</Text>
              <Font>
                <Size>20</Size>
              </Font>
              <X>115</X>
              <Y>16</Y>
              <Width>195</Width>
              <Height>32</Height>
            </Static>
            <Static>
              <Text>#(loc.uninstallpatch_nothing_applies)</Text>
              <X>115</X>
              <Y>51</Y>
              <Width>195</Width>
              <Height>24</Height>
            </Static>
          </UninstallPatch>
          <SysLink>
            <Text>#(loc.windows_update)</Text>
            <X>115</X>
            <Y>128</Y>
            <Width>195</Width>
            <Height>16</Height>
          </SysLink>
        </NothingApplies>
      </FinishPage>

      <MaintenanceModePage>
        <Uninstall>
          <Title>#(loc.maintenance_page_title)</Title>
          <SubTitle>#(loc.maintenance_page_subtitle)</SubTitle>
          <RepairRadioButton>
            <Text>#(loc.maintenance_page_repair_text)</Text>
          </RepairRadioButton>
          <UninstallRadioButton>
            <Text>#(loc.maintenance_page_uninstall_text)</Text>
          </UninstallRadioButton>
          <UserExperienceDataCollection>
            <SQMPermissionCheckbox>
              <Text>#(loc.sqm_permission_text)</Text>
            </SQMPermissionCheckbox>
            <SysLink>
              <Text>#(loc.data_collection_policy_link)</Text>
              <!-- 21,168,275,16 -->
              <X>8</X>
              <Y>168</Y>
              <Width>295</Width>
              <Height>16</Height>
            </SysLink>
          </UserExperienceDataCollection>
          <BackButton>
            <Hide/>
          </BackButton>
          <Static>
            <Text>#(loc.maintenance_radio_button_header)</Text>
            <X>8</X>
            <Y>20</Y>
            <Width>295</Width>
            <Height>10</Height>
          </Static>
        </Uninstall>
        <UninstallPatch>
          <Title>#(loc.uninstallpatch_maintenance_page_title)</Title>
          <SubTitle>#(loc.uninstallpatch_maintenance_page_subtitle)</SubTitle>
          <RepairRadioButton>
            <Text>#(loc.uninstallpatch_maintenance_page_repair_text)</Text>
            <Enable>false</Enable>
            <X>0</X>
            <Y>0</Y>
            <Width>0</Width>
            <Height>0</Height>
          </RepairRadioButton>
          <UninstallRadioButton>
            <Text>#(loc.uninstallpatch_maintenance_page_uninstall_text)</Text>
            <X>0</X>
            <Y>0</Y>
            <Width>0</Width>
            <Height>0</Height>
          </UninstallRadioButton>
          <UserExperienceDataCollection>
            <SQMPermissionCheckbox>
              <Text>#(loc.sqm_permission_text)</Text>
            </SQMPermissionCheckbox>
            <SysLink>
              <Text>#(loc.data_collection_policy_link)</Text>
              <!-- 21,168,275,16 -->
              <X>8</X>
              <Y>168</Y>
              <Width>295</Width>
              <Height>16</Height>
            </SysLink>
          </UserExperienceDataCollection>
          <BackButton>
            <Hide/>
          </BackButton>
          <Static>
            <Text>#(loc.uninstallpatch_maintenance_radio_button_header)</Text>
            <X>8</X>
            <Y>20</Y>
            <Width>295</Width>
            <Height>20</Height>
          </Static>
        </UninstallPatch>
      </MaintenanceModePage>
      
    </Windows>
  </UI>
</SetupUI>
